﻿using System;
using System.Collections.Generic;
using System.Windows.Threading;

namespace CustomChartSeries
{
    
    /// <summary>
    /// Represents sample data model of DataPoint objects with samples values 
    /// </summary>
    public class DataSample : DataList
    {
        public DataSample()
        {
            this.Add(new DataPoint { X = 00, Y = 100 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 20, Y = 60 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 40, Y = 55 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 70, Y = 50 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 80, Y = 40 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 100,  Y = 30 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 120,  Y = 10 + 5 * Random.NextDouble() });
            this.Add(new DataPoint { X = 150,  Y = 0 + 5 * Random.NextDouble() });
        }

        protected static Random Random = new Random();
    }


    /// <summary>
    /// Represents a list of DataPoint objects
    /// </summary>
    public class DataList : List<DataPoint>
    { }
    /// <summary>
    /// Represents a scatter data point for representing single point  
    /// </summary>
    public class DataPoint
    {
        public double X { get; set; }
        public double Y { get; set; }
    }

}